/*
1-main page css
2- control page css
3-login semi page css
4-validate page css
*/



/**------------------------------------------------------------------------
 *                           Configuration
 *------------------------------------------------------------------------**/

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input,select{
  background-color: var(--input-background-color);
  color: var(--input-color);
}

* {
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-direction: column;
  background-color: var(--background-color);
  color: var(--text-color);
  transition: background-color 0.3s, color 0.3s;
  min-height: 100vh;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  
}

  


section {
  padding: 0.5rem 0;
}

.row {
  width: 100%;
  padding: 20px;
  margin: 6px;
  display: flex;
  
  justify-content: center;
  
  /* Takes up remaining space (100% - 50% = 50%) */
}
section h2 {
  text-align: center;
  margin-bottom: 2rem;
}



* {
  box-sizing: border-box;
}

/**========================================================================
*                           Navbar
*========================================================================**/

nav {
  background-color: var(--background-color);
  color: var(--text-color);
  transition: background-color 0.3s, color 0.3s;
  box-shadow: 3px 3px 5px rgb(0, 0, 0, 0.1);
}

nav ul {
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

nav li {
  height: 50px;
}

nav li a {
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
  display: flex;
  align-items: center;
  gap: 10px;
  color: var(--text-color); /* Use CSS variable for text color */
  font-size: 19px;
  font-weight: 500;
}

i {
  color: var(--icon-color); /* Use CSS variable for icon color */
  font-size: 22px;
}

nav a:hover {
  background-color: var(--hover-background-color); /* Use CSS variable for hover background color */
  color:white;
  cursor: pointer;
}


nav li:first-child {
  margin-right: auto;
}



.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 250px;
  z-index: 999;
  background-color: var(--sidebar-background); /* Use CSS variable for background color */
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.sidebar li {
  width: 100%;
}

.sidebar a {
  width: 100%;
}

.menu-button {
  display: none;
}

.iconLogo {
  height: 40px;
  width: 35px;
}

.logo span {
  color: var(--logo-color); /* Use CSS variable for logo color */
  margin: 0 20px;
  font-size: x-large;
  font-weight: bolder;
}
.logo a:hover{
  color: none;
}


@media (max-width: 740px) {
  .hideOnMobile {
    display: none;
  }

  .menu-button {
    display: block;
  }
}

@media (max-width: 555px) {
  .sidebar {
    width: 100%;
  }
}

/**------------------------------------------------------------------------
*                           End Navbar
*------------------------------------------------------------------------**/

/**------------------------------------------------------------------------
*                           sidebar
*------------------------------------------------------------------------**/

/* Style the tab */
.tab {
  transition: all 0.5s;
  display: flex;
  width: 100%;
  height: 400px;
  justify-content: space-between; /* Add space between buttons */
  gap: 3px; /* Optional: adjust spacing between buttons */
}
.tab.reduced-height {
  margin-bottom: 8px;
  height: 30px;
}


/* Style the buttons that are used to open the tab content */
.tab button {
  border-radius: 0;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  color: white;
  width: 100%;
  font-weight: 600;
  font-size: 18px;
  cursor: pointer;
  transition: all 0.2s;
  background-color: #0a1447;
}


.tab button i{
  margin-left: 10px;
}
.tab button:hover {
  background-color:#094a8fa2;
}

.tablinks.active {
  background-color: #094a8f;
  color: #fff;
  
}
/* Style the tab content */
.tabcontent {
  display: none;
  padding: 0px 12px;
  float: none;
  width: 100%;
  border-left: none;
  height: auto;
}
/* Media queries for responsive design */
@media screen and (max-width: 768px) {
  .tab {
    flex-direction: column;
    height: 600px;
  }

  .tab button {
    width: 100%; /* Buttons take full width in column layout */
    height: 100%; /* Adjust height automatically */
    font-size: 16px; /* Adjust font size */
    padding: 10px; /* Adjust padding */
  }

  .tab.reduced-height {
    height: auto; /* Adjust height automatically */
  }
  
  .tabcontent {
    padding: 10px; /* Reduce padding for smaller screens */
  }
}

@media screen and (max-width: 480px) {
  .tab button {
    font-size: 14px; /* Further adjust font size for smaller screens */
    padding: 8px; /* Further adjust padding */
  }

  .tabcontent {
    padding: 8px; /* Further reduce padding for smaller screens */
  }
}
/*---------------------------- END OF SIDEBAR ----------------------------*/

/**========================================================================
*                           SCAN Tab
*========================================================================**/
/* Base styles for the fieldset */
.fsetup {
  padding: 2px;
  height: fit-content;
  position: relative;
  display: grid;
  width: 100%;
  grid-template-columns: repeat(3, 1fr);
  gap: 4px;
  justify-content: center;
  align-items: center;
  align-content: center;
}

.fsetup input,select{
  width: 100%;
  padding: 2px;
  border: solid 1px black;
  border-radius: 0%;
  height: 30px;
}



.setupButtons{
  padding-right: 10px;
  display: flex;
  margin-top: 10px;
  justify-content: center;
}

@media screen and (max-width: 435px) {
  #methodsButton{
flex-direction: column;
}
  
 }



/* Style for disabled buttons */
button[disabled],input[disabled] {
  opacity: 0.6; /* Adjust opacity for disabled state */
  pointer-events: none; /* Disable pointer events on disabled buttons */
}

/* Style for buttons */
.setupButtons button,legend button,table button,#NextSample button, #toggleButton {
  background-color: #094a8f;
  color: white;
  border: none;
  padding: 3px;
  height: 40px;
  width: 40px;
  margin: 3px;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.fsetup button:hover {
  background-color: #194e80;
}

.setupButtons #chartType{
  background-color: rgb(56, 227, 29);
  width: 120px;
  border: #000 solid 1px;
}
.setupButtons #chartType:hover{
  background-color: #263b26;
}
.setupButtons #numberofsamples{
height: 40px;
border-radius: 5px;
padding: 3px;
margin: 3PX;
width: 130px;

  
}

legend{
  font-size: 26px;
  font-weight:bolder;
  font-family:Arial, Helvetica, sans-serif;
}

.tabcontent .col strong {
  padding-right: 20px;
}

.TwoBtn {
  display: flex;
  flex-direction: row;
  margin: 5px 15%;
}

.ftable .TwoBtn{
  margin: 0px 41%;
}

.TwoBtn i {
  margin-left: 10px;
  color: inherit /* Use CSS variable for primary color */
}


.TwoBtn div {
  margin-right: 20px;
}

.TwoBtn button,
.reset-zoom{
  background-color: var(--button-background-light); /* Use CSS variable for button background color */
  color: var(--button-text-color-light); /* Use CSS variable for button text color */
  margin: 10px;
  padding: 5px;
  border: 1px solid var(--button-border-color-light); /* Use CSS variable for button border color */
  border-radius: 5px;
  cursor: pointer;
  font-size: 14px;
  font-weight: 600;
  display: flex;
  align-items: center;
}

.TwoBtn button:hover {
  color: var(--button-hover-text-color-light); /* Use CSS variable for button hover text color */
  background-color: var(--button-hover-background-light); /* Use CSS variable for button hover background color */
  transition: all 0.2s;
}

#DeleteRows {
  color: var(--delete-text-color-light); /* Use CSS variable for delete text color */
}


.ftable table{
  width: 96%;
  margin-bottom: 30px;
}



.headfont {
  font-size: 20px;
  font-weight: bold;
  color: var(--headfont-color-light); /* Use CSS variable for heading font color */
}

.TableContent {
  padding: 30px;
  display: flex;
  text-align: center;
  flex-direction: column;
  margin: 15px 15px;
}

#scanReadings,
#messageBox,
#CMDMB {
  background-color: var(--background-color-light); /* Use CSS variable for background color */
  color: var(--text-color-light); /* Use CSS variable for text color */
  width: 90%;
  height: 300px;
  margin: 10px auto;
  padding: 10px;
  border: 1px solid var(--border-color-light); /* Use CSS variable for border color */
  max-height: 300px;
  overflow-y: auto;
}

#messageBox {
  height: 200px;
  margin-top: -35px;
}

/* Dark mode styles */
body.dark-mode {
  --headfont-color-dark: #3498db; /* Dark mode heading font color */
  --background-color-dark: #333333; /* Dark mode background color */
  --text-color-dark: #ffffff; /* Dark mode text color */
  --border-color-dark: #fff; /* Dark mode border color */
}

/* Apply dark mode styles using the corresponding CSS variables */
body.dark-mode .headfont {
  color: var(--headfont-color-dark);
}

body.dark-mode #scanReadings,
body.dark-mode #messageBox,
body.dark-mode #CMDMB {
  background-color: var(--background-color-dark);
  color: var(--text-color-dark);
  border-color: var(--border-color-dark);
}





/* Styles for presets */
.presets {
  display: none;
  overflow-y: auto;
  position: fixed;
  top: 0%;
  left: 50%;
  transform: translate(-50%);
}

.blurred-list {
  list-style: none;
  width: max-content;
  max-width: 350px;
  min-width: 300px;
  padding: 15px;
  margin: 0;
  backdrop-filter: var(--preset-blur-light); /* Use CSS variable for blur effect */
  max-height: 100vh;
  color: var(--preset-text-light); /* Use CSS variable for text color */
  background: var(--preset-background-light); /* Use CSS variable for background color */
  overflow-y: auto;
}

.presets li {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  width: 100%;
  padding: 3px;
  margin-bottom: 9px;
  cursor: pointer;
  border-bottom: var(--preset-border-light) 1px solid; /* Use CSS variable for border color */
  word-wrap: break-word; /* Ensures long words break onto the next line */
  white-space: normal; /* Allows text to wrap */
  display: block;
}
.presets li > * {
  display: inline-block;
}

.presets li > *:not(:last-child) {
  margin-right: 15px; /* Adjust this value as needed */
}

#search {
  width: 100%;
  padding: 3px;
  border-radius: 2px;
  text-align: center;
}

.delete-button {
  padding: 3px;
  background: inherit;
}

.presets.active {
  display: flex;
}

.presetname,#NextSample {
  display: none;
  position: fixed;
  width: max-content;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 6;
}


.blurred-name {
  position: relative;
  z-index: 1;
  padding: 30px;
  height: fit-content;
  width: 300px;
  backdrop-filter: var(--preset-blur-light); /* Use CSS variable for blur effect */
  background: var(--preset-background-light); /* Use CSS variable for background color */
  border-radius: 3px;
  color: var(--preset-text-light); /* Use CSS variable for text color */
  align-content: center;
}

.presetbtn:hover {
  background-color: transparent;
}

.presetname .presetinput {
  margin-top: 10px;
  padding: 4px;
  border-radius: 3px;
  width: 200px;
  height: 30px;
  background-color: white;
  color: #000;
}

.presetname #nameexist {
  color: #b30000;
  text-align: left;
}

.presetname.active {
  display: block;
}

.number {
  width: 60px;
}



.fchart {
  width: 100%;
  position: relative;
  border: 1px solid #000000;
  border-radius: 5px;
  padding: 10px;
  margin: 20px 0;
  box-sizing: border-box; /* Ensure padding and border are included in the width */
}

canvas {
  width: 100% !important; /* Ensure the canvas takes up the full width of the container */
  height: auto !important; /* Adjust the height automatically */
}

.ftable{
  width: 100%;  

  border: 1px solid #000000;
  border-radius: 5px;
  padding: 10px 10px 10px 30px;
  margin-bottom: 100px;

}

table{
  table-layout: fixed;
}
.disabled {
  color: grey !important; 
  cursor:not-allowed !important;

}
/*---------------------------- END OF SCAN ----------------------------*/

/**------------------------------------------------------------------------
*                           Footer
*------------------------------------------------------------------------**/
footer {
  display: flex;
  color: #f0f0f0;
  flex-wrap: wrap;
  margin-top: auto;
  background-color: #2d2e33;
  padding: 2px 1%;
}

footer ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.footer-col {
  display: block;
  width: 25%;
}

.footer-col h4 {
  position: relative;
  margin-bottom: 5px;
  font-weight: 400;
  font-size: 15px;
  color: #f1bc0d;
  text-transform: capitalize;
}

.footer-col h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  background-color: #27c0ac;
  height: 2px;
  width: 40px;
}

footer li:not(:last-child) {
  margin-bottom: 8px;
}

ul li label {
  display: block;
  font-size: 15px;
  text-transform: capitalize;
  color: #bdb6b6;
  width: 250px;
  margin-top: 10px;
  margin-right: 10px;
}

@media (max-width: 740px) {
  .footer-col {
    width: 100%;
    margin-bottom: 5px;
  }

  footer ul {
    flex-direction: column;
  }

  .sticky {
    padding: 2px 10%;
    position: block;
  }
}

@media (max-width: 555px) {
}

.sticky {
  position: fixed;
  bottom: 0;
  width: 100%;
}

.foot_btn {
  display: block;
  margin: 10px;
  color: white;
  background-color: #27c0ac;
  padding: 2px 5px;
  border-radius: 5px;
  font-size: 15px;
  font-weight: 500;
  text-transform: capitalize;
  cursor: pointer;
}

#hidefoot {
  width: 50px;
  height: 30px;
}

.DateTime {
  display: flex;
  right: 0;
  top: 10px;
  margin-top: 20px;
  color: white;
  background-color: #27c0ac;
  padding: 2px 5px;
  border-radius: 5px;
  font-size: 15px;
  font-weight: 500;
  text-transform: capitalize;
  cursor: pointer;
}

.footer-col.inactive {
  display: none;
  background-color: none;
}

/*---------------------------- END OF Footer ----------------------------*/

/**------------------------------------------------------------------------
 *                           TABLE CONTENT
 *------------------------------------------------------------------------**/

/* Dark mode variables */
.dark-mode {
  --table-border-dark: 1px solid white; /* Dark mode table border */
  --table-background-dark: #333333; /* Dark mode table background color */
  --table-text-dark: #ffffff; /* Dark mode table text color */
  --table-header-background-dark: #08425e; /* Dark mode table header background color */
  --table-header-text-dark: #ffffff; /* Dark mode table header text color */
}

/* Table styles */
th, td {
  border: var(--table-border-light); /* Default to light mode border */
  border-collapse: collapse;
  padding: 5px;
  text-align: center;
  color: var(--table-text-light); /* Default to light mode text color */
}

table {
  margin-right: 10px;
  margin-left: 10px;
  border: var(--table-border-light); /* Default to light mode border */
  border-collapse: collapse;
  padding: 5px;
  text-align: center;
  background-color: var(--table-background-light); /* Default to light mode background color */
}

.th {
  background-color: var(--table-header-background-light); /* Default to light mode header background color */
  color: var(--table-header-text-light); /* Default to light mode header text color */
  font-size: 12px;
  padding: 10px;
  margin: 5px;
}

.heading {
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  color: var(--table-text-light); /* Default to light mode text color */
  text-decoration: underline;
  margin-bottom: 20px;
}

/* Dark mode styles */
.dark-mode th, .dark-mode td {
  border: var(--table-border-dark); /* Override border in dark mode */
  color: var(--table-text-dark); /* Override text color in dark mode */
}

.dark-mode table {
  border: var(--table-border-dark); /* Override border in dark mode */
  background-color: var(--table-background-dark); /* Override background color in dark mode */
}

.dark-mode .th {
  background-color: var(--table-header-background-dark); /* Override header background color in dark mode */
  color: var(--table-header-text-dark); /* Override header text color in dark mode */
}
.dark-mode tr:nth-child(even) {
  background-color: var(--table-background-dark);
}
/**------------------------------------------------------------------------
 *                           Reading Table
 *------------------------------------------------------------------------**/
 .ReadingTable{
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: center;
  margin: 10px;
  padding: 10px;
 }
 .myTable{
  width: 100%;
 }  
 tr:nth-child(even) {
  background-color: #d6deec;
}


 @media screen and (max-width: 962px) {
  .myTable{
    width: 100%;
  }
  .ReadingTable{
    width: 100%;
  }
  
 }

 /**------------------------------------------------------------------------
 *                           direct control
 *------------------------------------------------------------------------**/
 button:hover {
   cursor: pointer;
 }

 .lamps {
  width: 100%;
  border: 1px solid #000000;
  border-radius: 5px;
  padding: 5px;
}

 .grid-container {
    display: grid;
    padding: 5px;
    grid-template-columns: repeat(3, 1fr); /* Two equal columns */
    gap: 10px; /* Adjust the gap between grid items */
  }
  .grid-containertwo {
    display: grid;
    padding: 5px 3px;
    grid-template-columns: 3fr 1fr; /* First column takes up 4 times the width of the second column */
    gap: 15px; /* Adjust the gap between grid items */
  }
  .grid-containerStep {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    gap: 15px; /* Adjust the gap between grid items */
  }
  


  .grid-item table {
    width: 95%;
    border-collapse: collapse;
  }
  
  .grid-item th,
  .grid-item td {
    border: 1px solid #ddd;
    padding: 3px;
    text-align: center;
  }
  .grid-item i:hover,legend i:hover{
    transition: all 0.1s;
    transform: scale(1.1);
    cursor: pointer;

  }

.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.342); /* Semi-transparent gray background */
  z-index: 999; /* Ensure the overlay is above other elements */
  cursor:wait; /* Set cursor style to not-allowed */
}

@media only screen and (max-width: 660px) {
  .grid-container{
      grid-template-columns: repeat(1, 1fr); 
    
  }

}

.state {
  display: inline;
 margin-left: 50px;
  padding: 3px;
  border-radius: 3px;
  width: 30px;
  align-items: center;
  text-align: center;
}



.timeelements{
  position: fixed; 
  bottom: 10px;
  right: 30px;
  display: flex;
  gap: 50px;
}

label,.currentstep{
  font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 15px;  
}

.login-container {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  min-width: 300px;
  border-radius: 10px;
  padding: 20px;
  backdrop-filter: blur(9px);
  background: rgba(5, 5, 33, 0.565);
  color: white;
  z-index: 1000;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);
}

.login-form-box {
  text-align: center;
}

.close-icon {
  position: absolute;
  top: 0px;
  right: 0px;
  font-size: 24px;
  cursor: pointer;
  color: white;
  z-index: 100;
}

h2 {
  margin-bottom: 20px;
}

.input-container {
  position: relative;
  margin-bottom: 15px;
}

.input-icon {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
}

.login-container input {
  width: calc(100% - 90px);
  padding: 8px 10px;
  border: none;
  border-radius: 5px;
  background: #fff;
  color: #333;
}

.login-container button {
  width: fit-content;
  padding: 10px;
  border: none;
  border-radius: 3px;
  background-color:#0e3275;
  color: #fff;
  cursor: pointer;
  transition: background-color 0.3s;
}

button:hover {
  background-color: rgb(51, 51, 58);
  color: white;
}

.wrong-pass {
  margin-top: 10px;
}

.wrong-pass label {
  color: red;
  text-decoration: underline;
}




   .commandTable{
    display: none;
    width: 70%;
    margin: 0 15%;
    table-layout: fixed;
   }
   #FLC {
    margin-top: 15px;
    width: 50%;
   }
 @media screen and (max-width: 962px) {
  #FLC {
    height: 120vh;
  }
  .row {
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    margin-bottom: 170px;
  }
.ftable,.fsetup, #FLC .fsetup,#FLC .row{
  width: 100%;
  margin: 0 0;
} 
.commandTable{
  width: 100%;  
  margin: 0 0;
}
}






/* Dark mode styles */
body.dark-mode {
  --background-color: #333333; /* Dark mode background color */
  --text-color: #dbd9d9; /* Dark mode text color */
  --sidebar-background: rgba(0, 0, 0, 0.5); /* Dark mode background color for sidebar */
  --logo-color: #00ff00; /* Dark mode logo color */
  --text-color-light: #dbd9d9; /* Dark mode text color */
  --icon-color: #ffffff; /* Dark mode icon color */
  --hover-background-color:rgba(255, 255, 255, 0.514); /* Dark mode hover background color */
  --hover--color:black; /* Dark mode hover background color */
  --primary-color-light: #3498db; /* Dark mode primary color */
  --secondary-color-light: #dbd9d9; /* Dark mode secondary color */
  --button-background-light: #dbd9d9; /* Dark mode button background color */
  --button-text-color-light: #3498db; /* Dark mode button text color */
  --button-border-color-light: #3498db; /* Dark mode button border color */
  --button-hover-background-light: #3498db; /* Dark mode button hover background color */
  --button-hover-text-color-light: #c7cddfbe; /* Dark mode button hover text color */
  --delete-text-color-light: red; /* Dark mode delete text color */
  --input-background-color:rgba(206, 205, 205, 0.068);
  --input-color:white;
  
}

/* Define CSS variables with the existing colors */
:root {
  --background-color: #ffffff; /* Default light mode background color */
  --text-color: #000000; /* Default light mode text color */
  --background-color: #ffffff; /* Light mode background color */
  --text-color: #000000; /* Light mode text color */
  --border-color: #000000; /* Light mode border color */
  --text-color-icon: #000000; /* Light mode icon color */
  --hover-background-color: #5c5656; /* Light mode hover background color */
  --sidebar-background: rgba(255, 255, 255, 0.2); /* Light mode sidebar background color */
  --logo-color: green; /* Light mode logo color */
  --headfont-color-light: #3498db; /* Light mode heading font color */
  --background-color-light: whitesmoke; /* Light mode background color */
  --text-color-light: #000000; /* Light mode text color */
  --border-color-light: #ccc; /* Light mode border color */
  --table-border-light: 1px solid black; /* Light mode table border color */
  --table-bg-light: #ffffff; /* Light mode table background color */
  --table-text-light: black; /* Light mode table text color */
  --table-header-bg-light: #3498db; /* Light mode table header background color */
  --table-header-text-light: white; /* Light mode table header text color */
  --table-border-light: 1px solid black; /* Light mode table border */
  --table-background-light: #ffffff; /* Light mode table background color */
  --table-text-light: #000000; /* Light mode table text color */
  --table-header-background-light: #3498db; /* Light mode table header background color */
  --table-header-text-light: #ffffff; /* Light mode table header text color */
  --preset-background-light: rgba(5, 5, 33, 0.565); /* Light mode preset background */
  --preset-text-light: #ffffff; /* Light mode preset text color */
  --preset-blur-light: blur(9px); /* Light mode blur effect */
  --preset-border-light: #000; /* Light mode preset border color */
  --primary-color-light: #3498db; /* Light mode primary color */
  --secondary-color-light: #ffffff; /* Light mode secondary color */
  --button-background-light: #ffffff; /* Light mode button background color */
  --button-text-color-light: #3498db; /* Light mode button text color */
  --button-border-color-light: #3498db; /* Light mode button border color */
  --button-hover-background-light: #3498db; /* Light mode button hover background color */
  --button-hover-text-color-light: #ffffff; /* Light mode button hover text color */
  --delete-text-color-light: red; /* Light mode delete text color */
  --input-background-color:white;
  --input-color:black;

}


.container {
  display: grid;
  grid-template-columns: 75% 25%;
  width: 100%;
  height: 65vh; /* Full height for demonstration */
  margin-bottom: 200px;
}
.setupcontainer {
  display: grid;
  grid-template-columns: 40% 30% 30%;
  width: 80%;
  height: 0; /* Full height for demonstration */ 
  margin-bottom: 200px;
}
.container-fit {
  display: grid;
  grid-template-columns: 60% 40%;
  width: 100%;
  height: 80vh; /* Full height for demonstration */
  margin-bottom: 200px;
}

.first-div {
  /* background-color: lightblue; */
  display: flex;
  align-items: center;
  justify-content: center;
}

.second-div {
  /* background-color: lightcoral; */
  display: flex;
  flex-direction: column;
  padding: 50px;
  padding-bottom: 10px !important;
  gap: 10px;
}

  
.second-div button{
  background-color: lightblue;
}
#change-color-btn{
  background-color: lightcoral;
}
#delete-btn{
  background-color: rosybrown;
}
label {
  margin-bottom: 5px;
}

select, input[type="color"], button {
  padding: 5px;
  margin-bottom: 10px;
}

/* animation container */
.spectrophotometer-container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
  overflow: hidden;
  display: none; /* Initially hidden */
  padding-bottom: 40px; /* Space for the button */
}
.spectrophotometer-container button{
  align-self: center;
  position: absolute;
  right: 50%;
  transform: translate(50%);
  background-color: #094a8f;
  color: white;
  border: none;
  padding: 3px;
  height: 30px;
  width: 50px;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.source {
  position: absolute;
  display: flex;
  justify-content: center;  /* Horizontally centers the content */
  align-items: center;      /* Vertically centers the content */
  align-content: center;
  width: 40px;
  height: 40px;
  border-radius: 40px;
  background: #ffd700;
  top: 50%;
  left: 20px;
  transform: translateY(-50%);
  animation: sourceBlink 0.5s infinite alternate;
}
.light-beam {
  position: absolute;
  width: 0;
  height: 8px;
  background: linear-gradient(to right, rgba(255, 255, 0, 0) 0%, rgba(255, 255, 0, 1) 50%, rgba(255, 255, 0, 0) 100%);
  top: 50%;
  left: 20px;
  transform: translateY(-50%);
  animation: beam 1s infinite;
}

.cuvette {
  position: absolute;
  display: flex;
  justify-content: center;  /* Horizontally centers the content */
  align-items: center;      /* Vertically centers the content */
  align-content: center;
  height: 80px;
  background: rgba(0, 123, 255, 0.3);
  border: 2px solid #007bff;
  border-radius: 5px;  
  right: 50%;
  top: 50%;
  transform: translate(50%,-50%);
  background-color: #094a8f;
  color: white;
  width: 50px;
  transition: background-color 0.3s;

}

.detector {
  position: absolute;
  display: flex;
  justify-content: center;  /* Horizontally centers the content */
  align-items: center;      /* Vertically centers the content */
  align-content: center;
  width: 40px;
  height: 40px;
  background: #ccc;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  border-radius: 5px;
}

@keyframes sourceBlink {
  0% {
      opacity: 1;
  }
  100% {
      opacity: 0.5;
  }
}

@keyframes beam {
  0% {
      width: 0;
      left: 20px;
  }
  50% {
      width: 90px;
      left:90px;
  }
  100% {
      width: 0;
      left: 260px;
  }
}

.hidden {
  display: none;
}

.visible {
  display: block;
}
.hidden {
  height: 0;
  overflow: hidden;
  transition: height 0.3s ease;
}

#fieldsetContent {
  height: auto;
  overflow: hidden;
  transition: height 0.3s ease;
}
#SampleNumBTN{
  background-color:lightcoral;
  color: white;
  border: none;
  padding: 5px;
  margin-bottom: 5px;
  height: 50px;
  width: 50px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 14px;
  font-weight: 600;
  display: flex;
  align-items: center;
}
#SampleNumBTN{
  background-color: blueviolet;

}

.setupInput input{
  padding: 4px;
  border: solid 1px black;
  border-radius: 0%;
  height: 30px;
}
@media screen and (max-width: 768px){
  .container,.container-fit{
    display: flex;
    flex-direction: column;
  }
  .setupcontainer{
    display: flex;
    flex-direction: column;
  }

}
.container-table{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 10px;
  padding: 10px;
}
@media screen and (max-width: 768px){
  .container-table{
    display: flex;
    flex-direction: column;
    margin-top: 400px;
  }
  
}